
function Css(data) {
  let elem;
  data.cssId = data.cssId || 'default-style-tag-id';

  function construct() {
    elem = document.getElementById(data.cssId);
    if(!elem) {
      elem = document.createElement('style');
      elem.id = data.cssId;
      update();
    }
  }

  function update() {
    elem.innerHTML = `
      .${data.className || 'thing'} {
        width: ${data.width || '50px'};
        height: ${data.height || '50px'};
      }
    `;
  }

  if(!Css[data.cssId]) {
    construct();
    Css[data.cssId] = { elem, data, update };
    document.head.appendChild(elem);
  }
  return Css[data.cssId];
}
