/*!
 * Duck unframework used in this codebase.
 * Duck
 * (c) 2020 Tom Knapp-Ramos
 * Released under the MIT License.
 */

let css1 = new Css({
  cssId: 'css-button-1',
  className: 'button-1',
});

let css2 = new Css({
  cssId: 'css-button-2',
  className: 'button-2',
  width: '100px',
  height: '100px',
});

// instances with the same cssId simply returns the same instance
console.log(css1 == new Css({ cssId: 'css-button-1' }));

////////////////////////////////////////////////////////////////

function randomize() {

  css1.data.width = 50 + Math.round(Math.random()*300) + 'px';
  css1.data.height = 50 + Math.round(Math.random()*300) + 'px';
  css1.update();

  css2.data.width = 50 + Math.round(Math.random()*300) + 'px';
  css2.data.height= 50 + Math.round(Math.random()*300) + 'px';
  css2.update();

}
